[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Help with requires



Neal Becker wrote:
> Eric Sandeen wrote:


>> I'd drop the devel package Provides from the igraph spec (you should see
>> that it still provides this anyway), and drop the version from the
>> python-igraph BuildRequires unless these things really are in lockstep
>> version release upstream, though that sounds odd since they seem to be
>> two separate projects?
>>
>> If there -is- some minimum version for the build requires, you can hard
>> code that in there.  (BuildRequires: igraph-devel >= 0.5.2 or whatever)
>>
>> -Eric
>>
> 
> Come from same source and really are lockstep.  Thanks.

Then shouldn't they all be built out of the same specfile?

And has that changed?  Doesn't look that way in cvs now:

$ grep "^Source\|URL"  igraph/devel/igraph.spec
python-igraph/devel/python-igraph.spec
igraph/devel/igraph.spec:URL:		http://cneurocvs.rmki.kfki.hu/igraph
igraph/devel/igraph.spec:Source0:
http://igraph.googlecode.com/files/%{name}-%{version}.tar.gz
python-igraph/devel/python-igraph.spec:URL:	
http://pypi.python.org/pypi/igraph-%{version}
python-igraph/devel/python-igraph.spec:Source0:
python-igraph-%{version}.tar.gz

$ ls *igraph*/devel/*.gz
igraph/devel/igraph-0.5.2.tar.gz
python-igraph/devel/python-igraph-0.5.2.tar.gz

$ md5sum *igraph*/devel/*.gz
092fcd018d35da599e250990e9b64e6f  igraph/devel/igraph-0.5.2.tar.gz
8e80ddff5a7a3b7c25e293d4daaee6c0
python-igraph/devel/python-igraph-0.5.2.tar.gz

So have they merged, and that's what you're working on now?

Sorry, just curious :)

-Eric


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]